summaryrefslogtreecommitdiffstats
path: root/package/block-mount/files/fstab.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/block-mount/files/fstab.init')
-rw-r--r--package/block-mount/files/fstab.init57
1 files changed, 57 insertions, 0 deletions
diff --git a/package/block-mount/files/fstab.init b/package/block-mount/files/fstab.init
new file mode 100644
index 000000000..bd2bf24cb
--- /dev/null
+++ b/package/block-mount/files/fstab.init
@@ -0,0 +1,57 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2007 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+
+START=20
+
+. /lib/functions/mount.sh
+
+do_mount() {
+ local cfg="$1"
+ config_mount_by_section "$cfg"
+}
+
+do_swapon() {
+ local cfg="$1"
+ config_swapon_by_section "$cfg"
+}
+
+do_unmount() {
+ local cfg="$1"
+
+ config_get target "$cfg" target
+ config_get_bool enabled "$cfg" "enabled" '1'
+ [ -n "$target" -a "$enabled" -gt 0 ] || return 0
+ umount $target
+}
+
+do_swapoff() {
+ local cfg="$1"
+
+ config_get device "$cfg" device
+ config_get_bool enabled "$cfg" "enabled" '1'
+ [ -n "$device" -a "$enabled" -gt 0 ] && type swapoff >/dev/null || return 0
+ swapoff $device
+}
+
+start() {
+ config_load fstab
+ mkdir -p /var/lock
+ lock /var/lock/fstab.lck
+ echo '# WARNING: this is an auto generated file, please use uci to set defined filesystems' > /etc/fstab
+ lock -u /var/lock/fstab.lck
+ config_foreach do_mount mount
+ config_foreach do_swapon swap
+}
+
+stop() {
+ config_load fstab
+ config_foreach do_unmount mount
+ config_foreach do_swapoff swap
+ swapoff -a
+}
+